## GdaTreeMgrSchemas

GdaTreeMgrSchemas — a tree manager which creates a node for each schema in a database

## Synopsis

                        GdaTreeMgrSchemas;
    GdaTreeManager*     gda_tree_mgr_schemas_new            (GdaConnection *cnc);

## Object Hierarchy

      GObject
       +----GdaTreeManager
             +----GdaTreeMgrSchemas

## Properties

      "connection"               GdaConnection*        : Read / Write / Construct Only

## Description

The GdaTreeMgrSchemas is a GdaTreeManager object which creates a node for each schema in a database.

It uses the GdaMetaStore associated to a GdaConnection to get the schemas list; it's up to the caller to make sure the data in the GdaMetaStore is up to date.

The GdaConnection to be used needs to be specified when the object is created.

## Details

### GdaTreeMgrSchemas

    typedef struct _GdaTreeMgrSchemas GdaTreeMgrSchemas;

### gda_tree_mgr_schemas_new ()

    GdaTreeManager*     gda_tree_mgr_schemas_new            (GdaConnection *cnc);

Creates a new GdaTreeManager object which will add one tree node for each database schema found in `cnc`.

`cnc` : | a GdaConnection object
Returns : | a new GdaTreeManager object. [transfer full]

Since 4.2

## Property Details

### The `"connection"` property

      "connection"               GdaConnection*        : Read / Write / Construct Only

Connection to use.